#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_install:
	install -m 755 $(CURDIR)/debian/freealchemist-starter $(CURDIR)/debian/freealchemist/usr/games/freealchemist

get-orig-source:
	VER=$(shell dpkg-parsechangelog | sed -rn 's,^Version: ([^-]*).*,\1,p');\
	git clone -q https://github.com/dakk/FreeAlchemist.git orig-source &&\
	cd orig-source && git checkout -q v$$VER &&\
	git archive --format tar --prefix freealchemist-$$VER/ HEAD | bzip2 -9 > ../freealchemist_$$VER.orig.tar.bz2
	rm -rf orig-source
